# compiling the gui
javac -Xbootclasspath/a:lib/itextpdf.jar src/* && mv src/*.class bin

# compiling the fault tolerance part
cd simulator
make
cp mut ..
cp sim ..
cp runtest ..
cd -

# creating the sim.sh scrit
echo "./sim \$1 > \$2" > sim.sh
echo "echo done > \$3" >> sim.sh
chmod +x sim.sh
